## kdepim-addons 25.08.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.2")

project(kdepim-addons VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/
    ${ECM_MODULE_PATH}
)
# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIMADDONS_VERSION_NUMBER ${PIM_VERSION})
set(KDEPIMADDONS_VERSION "${KDEPIMADDONS_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

set(KDEPIMADDONS_LIB_VERSION "${KDEPIMADDONS_VERSION_NUMBER}")
set(KDEPIMADDONS_LIB_SOVERSION "6")

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(KDEGitCommitHooks)
include(KDEClangFormat)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    examples/*.cpp
    examples/*.h
    examples/*.c
    kmailtransport/*.cpp
    kmailtransport/*.h
    kmailtransport/*.c
    plugins/*.cpp
    plugins/*.h
    plugins/*.c
    sieveeditor/*.cpp
    sieveeditor/*.h
    sieveeditor/*.c
    akonadi-import-wizard/*.cpp
    akonadi-import-wizard/*.h
    akonadi-import-wizard/*.c
    kaddressbook/*.cpp
    kaddressbook/*.h
    kaddressbook/*.c
    kmail/*.cpp
    kmail/*.h
    kmail/*.c
    korganizer/*.cpp
    korganizer/*.h
    korganizer/*.c
    kldap/*.cpp
    kldap/*.h
)

kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
set(KTEXTADDONS_MIN_VERSION "1.6.0")
set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.6.0")

option(
    KDEPIM_ENTERPRISE_BUILD
    "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client."
    FALSE
)

option(
    OPTION_ADD_AUTOGENERATETEXT
    "Add support for autogenerate text plugin"
    ON
)

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED WebEngineWidgets Widgets Test
)

find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Declarative ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Parts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Prison ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
if(NOT WIN32)
    find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
endif()

set(MAILCOMMON_LIB_VERSION "6.5.2")
set(GRAVATAR_LIB_VERSION "6.5.2")
set(PIMCOMMON_LIB_VERSION "6.5.2")
set(GRANTLEETHEME_LIB_VERSION "6.5.2")
set(CALENDARSUPPORT_LIB_VERSION "6.5.2")
set(LIBKDEPIM_LIB_VERSION "6.5.2")
set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.2")
set(LIBKLEO_LIB_VERSION "6.5.2")
set(AKONADI_LIB_VERSION "6.5.2")
set(INCIDENCEEDITOR_LIB_VERSION "6.5.2")
set(KTNEF_LIB_VERSION "6.5.2")
set(MESSAGELIB_LIB_VERSION "6.5.2")
set(AKONADICALENDAR_LIB_VERSION "6.5.2")
set(CALENDAR_UTILS_VERSION "6.5.2")
set(KPIMTEXTEDIT_LIB_VERSION "6.5.2")
set(KIMAP_LIB_VERSION "6.5.2")
set(LIBKSIEVE_LIB_VERSION "6.5.2")
set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
set(AKONADICONTACT_LIB_VERSION "6.5.2")
set(IMPORTWIZARD_LIB_VERSION "6.5.2")
set(MAILIMPORTER_LIB_VERSION "6.5.2")
set(KPIMPKPASS_LIB_VERSION "6.5.2")
set(KPIMITINERARY_LIB_VERSION "6.5.2")
set(KPIM_MIME_VERSION "6.5.2")
set(KLDAP_LIB_VERSION "6.5.2")

find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDAR_UTILS_VERSION} CONFIG REQUIRED)
find_package(KPim6WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AddressbookImportExport
    ${KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
find_package(KF6TextGrammarCheck ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextTranslator ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6IncidenceEditor
    ${INCIDENCEEDITOR_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6CalendarSupport
    ${CALENDARSUPPORT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AkonadiCalendar
    ${AKONADICALENDAR_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6IdentityManagementCore
    ${KIDENTITYMANAGEMENT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6KSieveUi ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

if(OPTION_ADD_AUTOGENERATETEXT)
    find_package(
        KF6TextAutoGenerateText
        ${KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION}
        CONFIG
    )
    set_package_properties(
        KF6TextAutoGenerateText
        PROPERTIES
            TYPE OPTIONAL
            PURPOSE "Required for building AI plugins support"
            DESCRIPTION "Use AI plugin"
    )
endif()

find_package(KPim6Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AkonadiContactWidgets
    ${AKONADICONTACT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6ImportWizard ${IMPORTWIZARD_LIB_VERSION} CONFIG)
find_package(
    KPim6MailImporterAkonadi
    ${MAILIMPORTER_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6PkPass ${KPIMPKPASS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Itinerary ${KPIMITINERARY_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextTemplate CONFIG REQUIRED)

if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(
                PlasmaActivities
                PROPERTIES
                    DESCRIPTION "Allow to compile with plasma activities"
                    TYPE OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(KDEPIM_ADDONS_HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

configure_file(
    config-kdepim-addons.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config-kdepim-addons.h
)

# For adblocker
find_package(Corrosion CONFIG)
set_package_properties(
    Corrosion
    PROPERTIES
        TYPE RECOMMENDED
        PURPOSE "Required to build the builtin adblocker"
        DESCRIPTION
            "CMake scripts to seamlessly build and link to targets using cargo"
        URL https://github.com/corrosion-rs/corrosion
)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

if(KDEPIM_ENTERPRISE_BUILD)
    set(KDEPIM_ENTERPRISE_BUILD true)
else()
    set(KDEPIM_ENTERPRISE_BUILD false)
endif()
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
# Extra package
find_package(Gpgmepp 1.23.2 CONFIG)
set_package_properties(
    Gpgmepp
    PROPERTIES
        DESCRIPTION "GpgME library"
        URL "https://www.gnupg.org"
        TYPE REQUIRED
)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(QTCREATOR_TEMPLATE_INSTALL_DIR
    ${KDE_INSTALL_DATADIR}/qtcreator/templates
    CACHE PATH
    "Define qtcreator template install path (default is /usr/share/qtcreator/templates)"
)

find_package(Discount "2" MODULE)
set_package_properties(
    "discount"
    PROPERTIES
        DESCRIPTION
            "A library that gives you formatting functions suitable for marking down entire documents or lines of text"
        URL "https://www.pell.portland.or.us/~orc/Code/discount/"
        TYPE RECOMMENDED
        PURPOSE "Generate Markdown file."
)

if(discount_FOUND)
    if(DEFINED PC_LIBMARKDOWN_VERSION)
        if(${PC_LIBMARKDOWN_VERSION} VERSION_GREATER "2.2.5")
            set(DISCOUNT_HAS_HIGHLIGHTING_SUPPORT TRUE)
            message(
                STATUS
                "Discount ${PC_LIBMARKDOWN_VERSION}: has highlighting support"
            )

            # in 3.0.0d, the signature for mkd_e_code_format changed
            if(${PC_LIBMARKDOWN_VERSION} VERSION_GREATER_EQUAL "3.0.0")
                if(${PC_LIBMARKDOWN_VERSION} MATCHES "[abc]$")
                    set(DISCOUNT_NEW_HIGHLIGHTING_SIGNATURE FALSE)
                else()
                    set(DISCOUNT_NEW_HIGHLIGHTING_SIGNATURE TRUE)
                endif()
            endif()
        endif()
    endif()
endif()

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

option(
    BUILD_SCAM_SETTINGS_PLUGINS
    "Build scam settings plugins (In progress)"
    OFF
)

add_subdirectory(plugins)
add_subdirectory(korganizer)
add_subdirectory(kmail)
add_subdirectory(kaddressbook)
add_subdirectory(sieveeditor)
add_subdirectory(kmailtransport)
add_subdirectory(kldap)
if(TARGET KPim6::ImportWizard)
    add_subdirectory(akonadi-import-wizard)
endif()
if(TARGET KF6::TextAutoGenerateText)
    add_subdirectory(pimautogeneratetext)
endif()

ecm_qt_install_logging_categories(
    EXPORT KDEPIMADDONS
    FILE kdepim-addons.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kmail/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(plugins)
add_subdirectory(editorplugins)
add_subdirectory(editorsendcheckplugins)
add_subdirectory(editorinitplugins)
add_subdirectory(editorconvertertextplugins)
add_subdirectory(grammarplugins)
add_subdirectory(checkbeforedeletemailplugins)
if(NOT WIN32)
    add_subdirectory(kcm)
endif()

=== akonadi-import-wizard/evolutionv2/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(evolutionv2importerplugin SOURCES
    evolutionv2importdata.cpp  evolutionv2importdata.h INSTALL_NAMESPACE pim6/importwizard
)

target_link_libraries(
    evolutionv2importerplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::MailCommon
    KPim6::IdentityManagementCore
    KPim6::MessageViewer
)

=== akonadi-import-wizard/pmail/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
set(pmailimporter_SRCS pmailimportdata.cpp pmailsettings.cpp)

kcoreaddons_add_plugin(pmailimporterplugin SOURCES
    ${pmailimporter_SRCS} INSTALL_NAMESPACE importwizard
)

target_link_libraries(
    pmailimporterplugin
    KPim6::ImportWizard
    KF6::XmlGui
    KF6::I18n
    KF6::Contacts
    KPim6::MailImporterAkonadi
    KPim6::MailTransport
    KPim6::MailCommon
    KPim6::IdentityManagementCore
)

=== kmail/kcm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(gnupg)

=== plugins/messageviewer/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(bodypartformatter)
add_subdirectory(ktexttemplate)

=== kmail/editorplugins/insertemail/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(kmail_insertemaileditorplugin INSTALL_NAMESPACE pim6/kmail/plugineditor)
target_sources(
    kmail_insertemaileditorplugin
    PRIVATE
        insertemailplugineditor.cpp
        insertemailplugineditorinterface.cpp
        selectmailwidget.cpp
        selectmaildialog.cpp
        insertemailplugineditor.h
        insertemailplugineditorinterface.h
        selectmailwidget.h
        selectmaildialog.h
)

target_link_libraries(
    kmail_insertemaileditorplugin
    KPim6::MessageComposer
    KF6::XmlGui
    KF6::I18n
    KPim6::AkonadiContactCore
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kmail_insertemaileditorplugin
        PROPERTIES UNITY_BUILD ON
    )
endif()

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== kmail/editorsendcheckplugins/automaticaddcontacts/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(kmail_automaticaddcontactseditorplugin INSTALL_NAMESPACE pim6/kmail/plugincheckbeforesend)
target_sources(
    kmail_automaticaddcontactseditorplugin
    PRIVATE
        automaticaddcontactsinterface.cpp
        automaticaddcontactsplugin.cpp
        automaticaddcontactsconfigurewidget.cpp
        automaticaddcontactsjob.cpp
        automaticaddcontactstabwidget.cpp
        automaticaddcontactsconfiguretab.cpp
        automaticaddcontactsconfiguredialog.cpp
        automaticaddcontactsinterface.h
        automaticaddcontactsplugin.h
        automaticaddcontactsconfigurewidget.h
        automaticaddcontactsjob.h
        automaticaddcontactstabwidget.h
        automaticaddcontactsconfiguretab.h
        automaticaddcontactsconfiguredialog.h
)

ecm_qt_declare_logging_category(kmail_automaticaddcontactseditorplugin HEADER automaticaddcontactsplugin_debug.h IDENTIFIER KMAIL_EDITOR_AUTOMATICADDCONTACTS_PLUGIN_LOG CATEGORY_NAME org.kde.pim.kmail_automaticaddcontactsplugin
    DESCRIPTION "kdepim-addons (Automatic add contacts plugin)"
    OLD_CATEGORY_NAMES log_kmail_automaticaddcontactsplugin
    EXPORT KDEPIMADDONS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kmail_automaticaddcontactseditorplugin
        PROPERTIES UNITY_BUILD ON
    )
endif()

target_link_libraries(
    kmail_automaticaddcontactseditorplugin
    KPim6::MessageComposer
    KF6::I18n
    KPim6::PimCommon
    KPim6::AkonadiContactWidgets
    KPim6::AkonadiCore
    KF6::Codecs
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== plugins/messageviewer/ktexttemplate/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_library(
    kitinerary_ktexttemplate_extension
    MODULE
    ktexttemplateextension.cpp
    ktexttemplateextension.h
)
target_link_libraries(
    kitinerary_ktexttemplate_extension
    KPim6::Itinerary
    KF6::Contacts
    KF6::TextTemplate
)
install(
    TARGETS kitinerary_ktexttemplate_extension
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/messageviewer/kf6/ktexttemplate
)

=== plugins/messageviewerconfigureplugins/openurlwith/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
kcoreaddons_add_plugin(messageviewer_openurlwithconfigplugin INSTALL_NAMESPACE pim6/messageviewer/configuresettings)
target_sources(
    messageviewer_openurlwithconfigplugin
    PRIVATE openurlwithconfigplugin.cpp openurlwithconfigplugin.h
)

target_link_libraries(
    messageviewer_openurlwithconfigplugin
    KPim6::MessageViewer
    KF6::I18n
    KF6::KIOWidgets
    openurlwithconfigure
)

add_library(openurlwithconfigure)
target_sources(
    openurlwithconfigure
    PRIVATE
        openurlwithconfiguredialog.h
        openurlwithconfiguredialog.cpp
        openurlwithconfigurewidget.h
        openurlwithconfigurewidget.cpp
        openurlwith_private_export.h
        openurlwithconfigurecreatedialog.h
        openurlwithconfigurecreatedialog.cpp
        openurlwithconfigurecreatewidget.h
        openurlwithconfigurecreatewidget.cpp
)

ecm_qt_declare_logging_category(openurlwithconfigure HEADER libopenurlwithconfigure_debug.h IDENTIFIER LIBOPENURLWITHCONFIGURE_PLUGIN_LOG
    CATEGORY_NAME org.kde.pim.libopenurlwithconfigureplugin
    DESCRIPTION "kdepim-addons (open url with plugin)"
    EXPORT KDEPIMADDONS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(openurlwithconfigure PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(openurlwithconfigure BASE_NAME libopenurlwithconfigure)
target_link_libraries(
    openurlwithconfigure
    KF6::I18n
    KPim6::MessageViewer
    KF6::KIOWidgets
    KF6::ItemViews
    KPim6::Libkdepim
)

set_target_properties(
    openurlwithconfigure
    PROPERTIES
        OUTPUT_NAME openurlwithconfigure
        VERSION ${KDEPIMADDONS_LIB_VERSION}
        SOVERSION ${KDEPIMADDONS_LIB_SOVERSION}
)

install(
    TARGETS openurlwithconfigure ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY NAMELINK_SKIP
)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== plugins/messageviewerconfigureplugins/scamsettings/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(scamconfiguresettings)

target_sources(
    scamconfiguresettings
    PRIVATE
        scamconfiguresettingsdialog.cpp
        scamconfiguresettingswidget.cpp
        scamconfigureutils.cpp
        scamconfiguresettingsdialog.h
        scamconfiguresettingswidget.h
        scamconfigureutils.h
        scamconfiguresettingstreeview.h
        scamconfiguresettingstreeview.cpp
        scamlistsmodel.h
        scamlistsmodel.cpp
)

ecm_qt_declare_logging_category(scamconfiguresettings HEADER libscamconfiguresettings_debug.h IDENTIFIER LIBSCAMCONFIGURESETTINGS_PLUGIN_LOG CATEGORY_NAME org.kde.pim.libfolderconfiguresettingsplugin
    DESCRIPTION "kdepim-addons (scamettings-configure)"
    EXPORT KDEPIMADDONS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(scamconfiguresettings PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(scamconfiguresettings BASE_NAME libscamconfiguresettings)
target_link_libraries(scamconfiguresettings KPim6::MessageViewer KF6::I18n)

set_target_properties(
    scamconfiguresettings
    PROPERTIES
        OUTPUT_NAME scamconfiguresettings
        VERSION ${KDEPIMADDONS_LIB_VERSION}
        SOVERSION ${KDEPIMADDONS_LIB_SOVERSION}
)

install(
    TARGETS scamconfiguresettings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY NAMELINK_SKIP
)

######
kcoreaddons_add_plugin(messageviewer_scamconfiguresettingsplugin INSTALL_NAMESPACE pim6/messageviewer/configuresettings)

target_sources(
    messageviewer_scamconfiguresettingsplugin
    PRIVATE scamconfiguresettingsplugin.cpp scamconfiguresettingsplugin.h
)

target_link_libraries(
    messageviewer_scamconfiguresettingsplugin
    KPim6::MessageViewer
    scamconfiguresettings
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== plugins/messageviewerplugins/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
set(common_SRCS)
ecm_qt_declare_logging_category(common_SRCS HEADER createeventplugin_debug.h IDENTIFIER CREATEEVENTPLUGIN_LOG CATEGORY_NAME org.kde.pim.createeventplugin)
ecm_qt_declare_logging_category(common_SRCS HEADER createtodoplugin_debug.h IDENTIFIER CREATETODOPLUGIN_LOG CATEGORY_NAME org.kde.pim.createtodoplugin)

macro(add_kdepim_addons_viewerplugin_unittest _source _additional)
    set(_test ${_source} ${_additional} ${common_SRCS})
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_test} ${_name}.h
                 TEST_NAME ${_name}
                 NAME_PREFIX "kdepim-addons-"
                 LINK_LIBRARIES KPim6::MessageViewer KPim6::Libkleo Qt::Test KF6::KIOCore KPim6::Mime
                 KPim6::AkonadiCore KF6::CalendarCore KPim6::GrantleeTheme KPim6::IncidenceEditor
                 KPim6::AkonadiWidgets KF6::XmlGui KPim6::CalendarSupport KF6::TextTranslator
    )
endmacro()

macro(add_kdepim_addons_viewerplugin_class_unittest _source)
    set(_test ${_source} ${common_SRCS})
    get_filename_component(_name ${_source} NAME_WE)

    ecm_add_test(${_test} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "kdepim-addons-"
        LINK_LIBRARIES
            Qt::Test
            KF6::KIOCore
            KF6::CalendarCore
            KPim6::MessageViewer
            KPim6::Libkleo
            KPim6::Mime
            KPim6::AkonadiCore
            KPim6::GrantleeTheme
            KPim6::AkonadiWidgets
            KPim6::CalendarSupport
    )
endmacro()

macro(add_kdepim_addons_viewerplugin_widget_unittest _source _additional)
    set(_test ${_source} ${_additional} ${common_SRCS})
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_test} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "kdepim-addons-"
        LINK_LIBRARIES
            Qt::Test
            KF6::KIOCore
            KF6::CalendarCore
            KPim6::MessageViewer
            KPim6::Libkleo
            KPim6::Mime
            KPim6::AkonadiCore
            KPim6::GrantleeTheme
            KPim6::IncidenceEditor
            KPim6::AkonadiWidgets
            KPim6::CalendarSupport
    )
endmacro()

add_kdepim_addons_viewerplugin_class_unittest(viewerpluginmanagertest.cpp)
add_kdepim_addons_viewerplugin_widget_unittest(todoedittest.cpp "../createtodoplugin/todoedit.cpp")
set_tests_properties(
    kdepim-addons-todoedittest
    PROPERTIES ENVIRONMENT "LC_ALL=C"
)

add_kdepim_addons_viewerplugin_widget_unittest(eventedittest.cpp "../createeventplugin/eventedit.cpp;../createeventplugin/eventdatetimewidget.cpp")
add_kdepim_addons_viewerplugin_widget_unittest(eventdatetimewidgettest.cpp "../createeventplugin/eventdatetimewidget.cpp")
add_kdepim_addons_viewerplugin_unittest(viewerplugincreateeventtest.cpp "../createeventplugin/createeventjob.cpp;../createeventplugin/eventdatetimewidget.cpp;../createeventplugin/eventedit.cpp;../createeventplugin/viewerplugincreateevent.cpp;../createeventplugin/viewerplugincreateeventinterface.cpp")
add_kdepim_addons_viewerplugin_unittest(viewerplugincreatetodotest.cpp "../createtodoplugin/viewerplugincreatetodo.cpp;../createtodoplugin/viewerplugincreatetodointerface.cpp;../createtodoplugin/todoedit.cpp;../createtodoplugin/createtodojob.cpp")
add_kdepim_addons_viewerplugin_unittest(viewerplugintranslatortest.cpp "../common/translatorplugin/viewerplugintranslator.cpp;../common/translatorplugin/viewerplugintranslatorinterface.cpp")

=== debian/changelog ===
kdepim-addons (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:44:04 +0100

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: ca-certificates,
               cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.2~),
               libakonadicalendar-dev (>= 4:25.08.2~),
               libakonadicontact-dev (>= 4:25.08.2~),
               libcalendarsupport-dev (>= 4:25.08.2~),
               libgpgmepp-dev (>= 1.23.2~),
               libgrantleetheme-dev (>= 25.08.2~),
               libgravatar-dev (>= 4:25.08.2~),
               libincidenceeditor-dev (>= 25.08.2~),
               libkaddressbook-dev (>= 4:25.08.2~),
               libkcalendarutils-dev (>= 4:25.08.2~),
               libkdepim-dev (>= 4:25.08.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6declarative-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6prison-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.2~),
               libkimap-dev (>= 25.08.2~),
               libkitinerary-dev (>= 25.08.2~),
               libkldap-dev (>= 25.08.2~),
               libkleo-dev (>= 4:25.08.2~),
               libkmailtransport-dev (>= 25.08.2~),
               libkmime-dev (>= 25.08.2~),
               libkpimimportwizard-dev (>= 4:25.08.2~),
               libkpimtextedit-dev (>= 25.08.2~),
               libkpkpass-dev (>= 25.08.2~),
               libksieve-dev (>= 4:25.08.2~),
               libktextaddons-dev (>= 1.5.4~),
               libktnef-dev (>= 4:25.08.2~),
               libmailcommon-dev (>= 4:25.08.2~),
               libmailimporter-dev (>= 4:25.08.2~),
               libmarkdown2-dev (>= 2.2.5~),
               libpimcommon-dev (>= 4:25.08.2~),
               libplasmaactivities-dev (>= 6.1.0~),
               messagelib-dev (>= 4:25.08.2~),
               qml6-module-org-kde-kcmutils,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: amd64 arm64 armhf
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

## kdepim-addons 25.08.2+p24.04+vstable+git20251016.2245

=== debian/changelog ===
kdepim-addons (25.08.2+p24.04+vstable+git20251016.2245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:45:50 +0000

kdepim-addons (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:50:17 +0000

## kdepim-addons 25.08.2+p24.04+vstable+git20251019.0912

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 
 project(kdepim-addons VERSION ${PIM_VERSION})
 
@@ -117,31 +117,31 @@
     find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
 endif()
 
-set(MAILCOMMON_LIB_VERSION "6.5.2")
-set(GRAVATAR_LIB_VERSION "6.5.2")
-set(PIMCOMMON_LIB_VERSION "6.5.2")
-set(GRANTLEETHEME_LIB_VERSION "6.5.2")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.2")
-set(LIBKDEPIM_LIB_VERSION "6.5.2")
-set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.2")
-set(LIBKLEO_LIB_VERSION "6.5.2")
-set(AKONADI_LIB_VERSION "6.5.2")
-set(INCIDENCEEDITOR_LIB_VERSION "6.5.2")
-set(KTNEF_LIB_VERSION "6.5.2")
-set(MESSAGELIB_LIB_VERSION "6.5.2")
-set(AKONADICALENDAR_LIB_VERSION "6.5.2")
-set(CALENDAR_UTILS_VERSION "6.5.2")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.2")
-set(KIMAP_LIB_VERSION "6.5.2")
-set(LIBKSIEVE_LIB_VERSION "6.5.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
-set(AKONADICONTACT_LIB_VERSION "6.5.2")
-set(IMPORTWIZARD_LIB_VERSION "6.5.2")
-set(MAILIMPORTER_LIB_VERSION "6.5.2")
-set(KPIMPKPASS_LIB_VERSION "6.5.2")
-set(KPIMITINERARY_LIB_VERSION "6.5.2")
-set(KPIM_MIME_VERSION "6.5.2")
-set(KLDAP_LIB_VERSION "6.5.2")
+set(MAILCOMMON_LIB_VERSION "6.5.3")
+set(GRAVATAR_LIB_VERSION "6.5.3")
+set(PIMCOMMON_LIB_VERSION "6.5.3")
+set(GRANTLEETHEME_LIB_VERSION "6.5.3")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
+set(LIBKDEPIM_LIB_VERSION "6.5.3")
+set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.3")
+set(LIBKLEO_LIB_VERSION "6.5.3")
+set(AKONADI_LIB_VERSION "6.5.3")
+set(INCIDENCEEDITOR_LIB_VERSION "6.5.3")
+set(KTNEF_LIB_VERSION "6.5.3")
+set(MESSAGELIB_LIB_VERSION "6.5.3")
+set(AKONADICALENDAR_LIB_VERSION "6.5.3")
+set(CALENDAR_UTILS_VERSION "6.5.3")
+set(KPIMTEXTEDIT_LIB_VERSION "6.5.3")
+set(KIMAP_LIB_VERSION "6.5.3")
+set(LIBKSIEVE_LIB_VERSION "6.5.3")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
+set(AKONADICONTACT_LIB_VERSION "6.5.3")
+set(IMPORTWIZARD_LIB_VERSION "6.5.3")
+set(MAILIMPORTER_LIB_VERSION "6.5.3")
+set(KPIMPKPASS_LIB_VERSION "6.5.3")
+set(KPIMITINERARY_LIB_VERSION "6.5.3")
+set(KPIM_MIME_VERSION "6.5.3")
+set(KLDAP_LIB_VERSION "6.5.3")
 
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)

=== kmail/plugins/checkfoldersizeaccount/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
kcoreaddons_add_plugin(kmail_checkfoldersizeaccount INSTALL_NAMESPACE pim6/kmail/mainview)
target_sources(
    kmail_checkfoldersizeaccount
    PRIVATE
        checkfoldersizeaccountplugin.cpp
        checkfoldersizeaccountplugin.h
        checkfoldersizeaccountplugininterface.h
        checkfoldersizeaccountplugininterface.cpp
        checkfoldersizeaccountplugindialog.h
        checkfoldersizeaccountplugindialog.cpp
        checkfoldersizeaccountpluginwidget.h
        checkfoldersizeaccountpluginwidget.cpp
        checkfoldersizeaccountplugindelegate.h
        checkfoldersizeaccountplugindelegate.cpp
        checkfoldersizeaccountpluginconfiguredialog.h
        checkfoldersizeaccountpluginconfiguredialog.cpp
        checkfoldersizeaccountpluginconfigurewidget.h
        checkfoldersizeaccountpluginconfigurewidget.cpp
        checkfoldersizeaccountfilterproxymodel.h 
	checkfoldersizeaccountfilterproxymodel.cpp
        checkfoldersizeaccountcombobox.h 
	checkfoldersizeaccountcombobox.cpp
)

kconfig_add_kcfg_files(kmail_checkfoldersizeaccount
    checkfoldersizeaccount.kcfgc
)



ecm_qt_declare_logging_category(kmail_checkfoldersizeaccount
    HEADER checkfoldersizeaccount_debug.h
    IDENTIFIER KMAIL_CHECKFOLDERSIZEACCOUNT_PLUGIN_LOG
    CATEGORY_NAME org.kde.pim.kmail_checkfoldersizeaccount
    DESCRIPTION "kdepim-addons (kmail check folder size account plugin)"
    EXPORT KDEPIMADDONS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kmail_checkfoldersizeaccount
        PROPERTIES UNITY_BUILD ON
    )
endif()

target_link_libraries(
    kmail_checkfoldersizeaccount
    KPim6::PimCommon
    KPim6::PimCommonAkonadi
    KF6::XmlGui
    KPim6::Libkdepim
    KF6::I18n
)
if(BUILD_TESTING)
    #add_subdirectory(autotests)
endif()

=== debian/changelog ===
kdepim-addons (25.08.2+p24.04+vstable+git20251019.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 09:12:36 +0000

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cargo,
               cmake,
               corrosion,
               debhelper-compat (= 13),
               discount,
               doxygen,
               graphviz,
               kaddressbook-dev,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-ktextaddons-dev,
               kf6-kxmlgui-dev,
               kf6-prison-dev,
               kpim6-akonadi-dev,
               kpim6-calendarsupport-dev,
               kpim6-eventviews-dev,
               kpim6-grantleetheme-dev,
               kpim6-importwizard-dev,
               kpim6-incidenceeditor-dev,
               kpim6-itinerary-dev,
               kpim6-kontactinterface-dev,
               kpim6-kpimtextedit-dev,
               kpim6-ktnef-dev,
               kpim6-libgravatar-dev,
               kpim6-libkdepim-dev,
               kpim6-libkgapi-dev,
               kpim6-libkleo-dev,
               kpim6-libksieve-dev,
               kpim6-mailcommon-dev,
               kpim6-mailimporter-dev,
               kpim6-messagelib-dev,
               kpim6-mimetreeparser-dev,
               kpim6-pimcommon-dev,
               kpim6-pkpass-dev,
               libcups2-dev,
               libgpgme-dev | libgpgme11-dev,
               libmarkdown2-dev,
               libpoppler-qt6-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               rustc
Standards-Version: 4.6.2
Homepage: https://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kdepim-addons.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdepim-addons
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kdepim-addons
Architecture: any
Depends: libplasma6,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kdepim-addons
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

Package: kdepim-addons
Architecture: all
Depends: kpim6-kdepim-addons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kdepim-addons 25.08.2+p24.04+vstable+git20251023.0128

=== debian/changelog ===
kdepim-addons (25.08.2+p24.04+vstable+git20251023.0128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 01:28:46 +0000

## kdepim-addons 25.08.2+p24.04+vunstable+git20251013.1255

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,21 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.5.40")
 
 project(kdepim-addons VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/
     ${ECM_MODULE_PATH}
 )
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -76,8 +77,10 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
-set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.6.0")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.8.0")
+include_directories(${CMAKE_CURRENT_BINARY_DIR})
+
 
 option(
     KDEPIM_ENTERPRISE_BUILD
@@ -117,31 +120,31 @@
     find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
 endif()
 
-set(MAILCOMMON_LIB_VERSION "6.5.3")
-set(GRAVATAR_LIB_VERSION "6.5.3")
-set(PIMCOMMON_LIB_VERSION "6.5.3")
-set(GRANTLEETHEME_LIB_VERSION "6.5.3")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.3")
-set(LIBKDEPIM_LIB_VERSION "6.5.3")
-set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.3")
-set(LIBKLEO_LIB_VERSION "6.5.3")
-set(AKONADI_LIB_VERSION "6.5.3")
-set(INCIDENCEEDITOR_LIB_VERSION "6.5.3")
-set(KTNEF_LIB_VERSION "6.5.3")
-set(MESSAGELIB_LIB_VERSION "6.5.3")
-set(AKONADICALENDAR_LIB_VERSION "6.5.3")
-set(CALENDAR_UTILS_VERSION "6.5.3")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.3")
-set(KIMAP_LIB_VERSION "6.5.3")
-set(LIBKSIEVE_LIB_VERSION "6.5.3")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
-set(AKONADICONTACT_LIB_VERSION "6.5.3")
-set(IMPORTWIZARD_LIB_VERSION "6.5.3")
-set(MAILIMPORTER_LIB_VERSION "6.5.3")
-set(KPIMPKPASS_LIB_VERSION "6.5.3")
-set(KPIMITINERARY_LIB_VERSION "6.5.3")
-set(KPIM_MIME_VERSION "6.5.3")
-set(KLDAP_LIB_VERSION "6.5.3")
+set(MAILCOMMON_LIB_VERSION "6.5.40")
+set(GRAVATAR_LIB_VERSION "6.5.40")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
+set(GRANTLEETHEME_LIB_VERSION "6.5.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.40")
+set(LIBKDEPIM_LIB_VERSION "6.5.40")
+set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.40")
+set(LIBKLEO_LIB_VERSION "6.5.40")
+set(AKONADI_LIB_VERSION "6.5.40")
+set(INCIDENCEEDITOR_LIB_VERSION "6.5.40")
+set(KTNEF_LIB_VERSION "6.5.40")
+set(MESSAGELIB_LIB_VERSION "6.5.40")
+set(AKONADICALENDAR_LIB_VERSION "6.5.40")
+set(CALENDAR_UTILS_VERSION "6.5.40")
+set(KPIMTEXTEDIT_LIB_VERSION "6.5.40")
+set(KIMAP_LIB_VERSION "6.5.40")
+set(LIBKSIEVE_LIB_VERSION "6.5.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
+set(AKONADICONTACT_LIB_VERSION "6.5.40")
+set(IMPORTWIZARD_LIB_VERSION "6.5.40")
+set(MAILIMPORTER_LIB_VERSION "6.5.40")
+set(KPIMPKPASS_LIB_VERSION "6.5.40")
+set(KPIMITINERARY_LIB_VERSION "6.5.40")
+set(KPIM_MIME_VERSION "6.5.40")
+set(KLDAP_LIB_VERSION "6.5.40")
 
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -231,7 +234,14 @@
     REQUIRED
 )
 find_package(KPim6PkPass ${KPIMPKPASS_LIB_VERSION} CONFIG REQUIRED)
-find_package(KPim6Itinerary ${KPIMITINERARY_LIB_VERSION} CONFIG REQUIRED)
+find_package(KPim6Itinerary ${KPIMITINERARY_LIB_VERSION} CONFIG)
+set_package_properties(
+                KPim6Itinerary
+                PROPERTIES
+		DESCRIPTION "Allow to build itinerary plugins"
+                    TYPE OPTIONAL
+            )
+
 find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF6TextTemplate CONFIG REQUIRED)
 
@@ -261,6 +271,10 @@
     endif()
 endif()
 
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.41)
+    set(HAVE_TEXTUTILS_SYNTAXHIGHLIGTHER_SUPPORT TRUE)
+endif()
+
 configure_file(
     config-kdepim-addons.h.in
     ${CMAKE_CURRENT_BINARY_DIR}/config-kdepim-addons.h
@@ -297,7 +311,7 @@
         URL "https://www.gnupg.org"
         TYPE REQUIRED
 )
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
 
 option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
@@ -366,17 +380,3 @@
 add_subdirectory(kmailtransport)
 add_subdirectory(kldap)
 if(TARGET KPim6::ImportWizard)
-    add_subdirectory(akonadi-import-wizard)
-endif()
-if(TARGET KF6::TextAutoGenerateText)
-    add_subdirectory(pimautogeneratetext)
-endif()
-
-ecm_qt_install_logging_categories(
-    EXPORT KDEPIMADDONS
-    FILE kdepim-addons.categories
-    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
-)
-kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
-ki18n_install(po)
-ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plugins/messageviewerplugins/common/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(translatorplugin)
add_subdirectory(expandurlplugin)
add_subdirectory(messagevieweraiplugin)

=== plugins/messageviewerplugins/common/messagevieweraiplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(messageviewer_aiplugin INSTALL_NAMESPACE pim6/messageviewer/viewercommonplugin)
target_sources(
    messageviewer_aiplugin
    PRIVATE
    viewerpluginai.cpp
    viewerpluginai.h
    viewerpluginaiinterface.cpp
    viewerpluginaiinterface.h
    viewerpluginaiwidget.h
    viewerpluginaiwidget.cpp
)

ecm_qt_declare_logging_category(messageviewer_aiplugin HEADER expandurlplugin_debug.h IDENTIFIER EXPANDURLPLUGIN_LOG CATEGORY_NAME org.kde.pim.expandurlplugin
    DESCRIPTION "kdepim-addons (AI Plugin)"
    EXPORT KDEPIMADDONS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        messageviewer_aiplugin
        PROPERTIES UNITY_BUILD ON
    )
endif()
target_link_libraries(
    messageviewer_aiplugin
    KPim6::MessageViewer
    KF6::XmlGui
    KPim6::Libkdepim
    KF6::I18n
)

=== debian/changelog ===
kdepim-addons (25.08.2+p24.04+vunstable+git20251013.1255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 12:55:56 +0000

## kdepim-addons 25.08.2+p24.04+vunstable+git20251015.0714

=== CMakeLists.txt ===
--- 
+++ 
@@ -275,6 +275,10 @@
     set(HAVE_TEXTUTILS_SYNTAXHIGHLIGTHER_SUPPORT TRUE)
 endif()
 
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.48)
+    set(HAVE_TEXTUTILS_QUICKSEARCH_SUPPORT TRUE)
+endif()
+
 configure_file(
     config-kdepim-addons.h.in
     ${CMAKE_CURRENT_BINARY_DIR}/config-kdepim-addons.h
@@ -311,7 +315,7 @@
         URL "https://www.gnupg.org"
         TYPE REQUIRED
 )
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
@@ -377,6 +381,3 @@
 add_subdirectory(kmail)
 add_subdirectory(kaddressbook)
 add_subdirectory(sieveeditor)
-add_subdirectory(kmailtransport)
-add_subdirectory(kldap)
-if(TARGET KPim6::ImportWizard)

=== debian/changelog ===
kdepim-addons (25.08.2+p24.04+vunstable+git20251015.0714-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:15:05 +0000

## kdepim-addons 25.08.2+p24.04+vunstable+git20251022.0019

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(kdepim-addons VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

=== kaichat-plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(addressbook)

=== kaichat-plugins/addressbook/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kaichat_addressbook\")

kcoreaddons_add_plugin(kaichat_addressbookplugin INSTALL_NAMESPACE autogeneratetext/toolplugins)

ecm_qt_declare_logging_category(kaichat_addressbookplugin HEADER kaichat_addressbookplugin_debug.h IDENTIFIER KAICHAT_ADDRESSBOOK_LOG
    CATEGORY_NAME org.kde.kaichat_addressbookplugin DESCRIPTION "kaichat (addressbook)" EXPORT KDEPIMADDONS
)

target_sources(
    kaichat_addressbookplugin
    PRIVATE
    kaichataddressbookplugin.cpp
    kaichataddressbookplugin.h
    kaichataddressbookplugindialog.cpp
    kaichataddressbookplugindialog.h
    kaichataddressbookpluginwidget.cpp
    kaichataddressbookpluginwidget.h
    kaichataddressbookpluginjob.h
    kaichataddressbookpluginjob.cpp
    kaichataddressbookpluginutils.cpp
    kaichataddressbookpluginutils.h
)
target_link_libraries(kaichat_addressbookplugin KF6::TextAutoGenerateText)

=== debian/changelog ===
kdepim-addons (25.08.2+p24.04+vunstable+git20251022.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:19:18 +0000
